{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="container my-5">
        {% if article.image %}
        <img src="{{ article.image.url }}" alt="article-jumbotron" class="rounded img-fluid article-jumbotron" />
        {% else %}
        <img src="{% static 'images/common/bg-whale.png' %}" alt="article-jumbotron"
            class="rounded img-fluid article-jumbotron" />
        {% endif %}
        <div class="my-3">
            <h2 class="article-title">
                <b>{{ article.en_title }}</b>
            </h2>
            <span class="small me-3">
                <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
            </span>
            <span class="small">
                <i class="bi bi-person"></i> by {{ article.author|default:"Admin" }}
            </span>
        </div>
        <div>
            {{ article.en_content|safe }}
        </div>
        <div class="d-grid gap-2 d-md-block">
            <span class="fw-300 text-center me-1">
                <i class="bi bi-tags-fill"></i> Tags
            </span>
            {% for at in article.articletag_set.all %}
            <span class="badge bg-primary">
                <a href="{% url 'frontend:articles' %}?tag={{ at.en_tag }}" class="no-link c-white">
                    {{ at.en_tag }}
                </a>
            </span>
            {% endfor %}
        </div>
    </div>
</section>
<section>
    <div class="container my-5">
        {% if related_articles %}
        <div class="my-3">
            <h4 class="title mb-3">
                Related Article
            </h4>
            <div class="row justify-content-start">
                {% for article in related_articles %}
                <div class="col-sm-12 col-lg-4">
                    <a href="{% url 'frontend:article' article.pk %}" class="no-link c-black">
                        <div class="card article-card">
                            {% if article.image %}
                            <img src="{{ article.image.url }}" alt="article-{{ forloop.counter }}"
                                class="card-img-top" />
                            {% else %}
                            <img src="{% static 'images/common/bg-whale.png' %}" alt="article-{{ forloop.counter }}"
                                class="card-img-top" />
                            {% endif %}
                            <div class="pt-2">
                                <span class="small">
                                    <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
                                </span>
                                <h5 class="article-title mt-2">
                                    {{ article.en_title }}
                                </h5>
                            </div>
                        </div>
                    </a>
                </div>
                {% endfor %}
            </div>
        </div>
        {% endif %}
        <div class="mt-5">
            <h4 class="fw-300 mb-3">
                Share this on
            </h4>
            <ul class="nav col-md-6 justify-content-start">
                <li class="nav-item">
                    <a href="https://www.facebook.com/sharer/sharer.php?u={{ article_url }}&title={{ article.en_title }}"
                        target="_blank" class="nav-link c-blue">
                        <i class="bi bi-facebook icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://twitter.com/intent/tweet?text={{ article.en_title }}+{{ article_url }}"
                        target="_blank" class="nav-link c-blue">
                        <i class="bi bi-twitter-x icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://wa.me/?text={{ article_url }}" target="_blank" class="nav-link c-blue">
                        <i class="bi bi-whatsapp icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="https://www.linkedin.com/sharing/share-offsite/?url={{ article_url }}" target="_blank"
                        class="nav-link c-blue">
                        <i class="bi bi-linkedin icon"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="mailto:?subject={{ article.en_title }}&body={{ article_url }}" class="nav-link c-blue">
                        <i class="bi bi-envelope-fill icon"></i>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</section>
{% endblock %}